diff options
author | root <root@cband> | 2013-12-30 10:44:10 -0600 |
---|---|---|
committer | root <root@cband> | 2013-12-30 10:44:10 -0600 |
commit | 0c2b0de26ab4190001f89345c52b049bbf701a20 (patch) | |
tree | 3b846f45e8258a4a55d9cbd8ebe9cec865aeedc9 /ship | |
parent | 3081f939455c4f5367d8d7ef36258dd36f07da88 (diff) | |
parent | ee33c348658a12a4e54281dc34eaca8639e247f8 (diff) |
Merge branch 'master' of https://github.com/krebscode/painload
Diffstat (limited to 'ship')
-rw-r--r-- | ship/TODO | 0 | ||||
-rw-r--r-- | ship/lib/punani | 7 |
2 files changed, 4 insertions, 3 deletions
diff --git a/ship/TODO b/ship/TODO new file mode 100644 index 00000000..e69de29b --- /dev/null +++ b/ship/TODO diff --git a/ship/lib/punani b/ship/lib/punani index ea05a4ec..4338d19d 100644 --- a/ship/lib/punani +++ b/ship/lib/punani @@ -34,7 +34,7 @@ _punani_select_packer() { } _punani_known_packers='pacman apt-get yum brew' _punani_pacman_install(){ pacman --noconfirm -S --needed "$@" ;} -_punani_pacman_remove(){ pacman -Rcs "$@" ;} +_punani_pacman_remove(){ pacman --noconfirm -Rcs "$@" ;} _punani_pacman_has(){ pacman -Q "$1" >/dev/null;} _punani_pacman_owner() { pacman -Qo "$1"; } _punani_aptget_install(){ apt-get -y install "$@" ;} @@ -70,14 +70,14 @@ punani(){ if punani_has $RES; then info "$RES already installed, skipping" else - punani_install $RES || error "cannot install $RES with $PACKER" + punani_install $RES || die "cannot install $RES with $PACKER" fi ;; remove) if ! punani_has $RES; then info "$RES not installed, skipping" else - punani_remove $RES || error "cannot install $RES with $PACKER" + punani_remove $RES || die "cannot install $RES with $PACKER" fi ;; has) @@ -85,6 +85,7 @@ punani(){ info "$RES is installed" else info "$RES is not installed" + exit 1 fi ;; owner) |